unbound: ub_server_stats Struct Reference

unbound 0.1

Data Fields
ub_server_stats Struct Reference

per worker statistics. More...

`#include <unbound.h>`

## Data Fields
long long | num_queries
| number of queries from clients received.
long long | num_queries_ip_ratelimited
| number of queries that have been dropped/ratelimited by ip.
long long | num_queries_cookie_valid
| number of queries with a valid DNS Cookie.
long long | num_queries_cookie_client
| number of queries with only the client part of the DNS Cookie.
long long | num_queries_cookie_invalid
| number of queries with invalid DNS Cookie.
long long | num_queries_missed_cache
| number of queries that had a cache-miss.
long long | num_queries_prefetch
| number of prefetch queries - cachehits with prefetch
long long | num_queries_timed_out
| number of queries which are too late to process
long long | max_query_time_us
| the longest wait time in the queue
long long | sum_query_list_size
| Sum of the querylistsize of the worker for every query that missed cache.
long long | max_query_list_size
| max value of query list size reached.
int | extended
| Extended stats below (bool).
long long | qtype [UB_STATS_QTYPE_NUM]
| qtype stats
long long | qtype_big
| bigger qtype values not in array
long long | qclass [UB_STATS_QCLASS_NUM]
| qclass stats
long long | qclass_big
| bigger qclass values not in array
long long | qopcode [UB_STATS_OPCODE_NUM]
| query opcodes
long long | qtcp
| number of queries over TCP
long long | qtcp_outgoing
| number of outgoing queries over TCP
long long | qudp_outgoing
| number of outgoing queries over UDP
long long | qtls
| number of queries over (DNS over) TLS
long long | qhttps
| number of queries over (DNS over) HTTPS
long long | qipv6
| number of queries over IPv6
long long | qbit_QR
| number of queries with QR bit
long long | qbit_AA
| number of queries with AA bit
long long | qbit_TC
| number of queries with TC bit
long long | qbit_RD
| number of queries with RD bit
long long | qbit_RA
| number of queries with RA bit
long long | qbit_Z
| number of queries with Z bit
long long | qbit_AD
| number of queries with AD bit
long long | qbit_CD
| number of queries with CD bit
long long | qEDNS
| number of queries with EDNS OPT record
long long | qEDNS_DO
| number of queries with EDNS with DO flag
long long | ans_rcode [UB_STATS_RCODE_NUM]
| answer rcodes
long long | ans_rcode_nodata
| answers with pseudo rcode 'nodata'
long long | ans_secure
| answers that were secure (AD)
long long | ans_bogus
| answers that were bogus (withheld as SERVFAIL)
long long | rrset_bogus
| rrsets marked bogus by validator
long long | val_ops
| number of signature validation operations performed by validator
long long | queries_ratelimited
| number of queries that have been ratelimited by domain recursion.
long long | unwanted_replies
| unwanted traffic received on server-facing ports
long long | unwanted_queries
| unwanted traffic received on client-facing ports
long long | tcp_accept_usage
| usage of tcp accept list
long long | ans_expired
| expired answers served from cache
long long | hist [UB_STATS_BUCKET_NUM]
| histogram data exported to array if the array is the same size, no data is lost, and if all histograms are same size (is so by default) then adding up works well.
long long | msg_cache_count
| number of message cache entries
long long | rrset_cache_count
| number of rrset cache entries
long long | infra_cache_count
| number of infra cache entries
long long | key_cache_count
| number of key cache entries
long long | msg_cache_max_collisions
| maximum number of collisions in the msg cache
long long | rrset_cache_max_collisions
| maximum number of collisions in the rrset cache
long long | num_query_dnscrypt_crypted
| number of queries that used dnscrypt
long long | num_query_dnscrypt_cert
| number of queries that queried dnscrypt certificates
long long | num_query_dnscrypt_cleartext
| number of queries in clear text and not asking for the certificates
long long | num_query_dnscrypt_crypted_malformed
| number of malformed encrypted queries
long long | num_query_dnscrypt_secret_missed_cache
| number of queries which did not have a shared secret in cache
long long | shared_secret_cache_count
| number of dnscrypt shared secret cache entries
long long | num_query_dnscrypt_replay
| number of queries which are replays
long long | nonce_cache_count
| number of dnscrypt nonces cache entries
long long | num_query_authzone_up
| number of queries for unbound's auth_zones, upstream query
long long | num_query_authzone_down
| number of queries for unbound's auth_zones, downstream answers
long long | num_neg_cache_noerror
| number of times neg cache records were used to generate NOERROR responses.
long long | num_neg_cache_nxdomain
| number of times neg cache records were used to generate NXDOMAIN responses.
long long | num_query_subnet
| number of queries answered from edns-subnet specific data
long long | num_query_subnet_cache
| number of queries answered from edns-subnet specific data, and the answer was from the edns-subnet cache.
long long | num_query_cachedb
| number of queries served from cachedb
long long | mem_stream_wait
| number of bytes in the stream wait buffers
long long | mem_http2_query_buffer
| number of bytes in the HTTP2 query buffers
long long | mem_http2_response_buffer
| number of bytes in the HTTP2 response buffers
long long | qtls_resume
| number of TLS connection resume
long long | rpz_action [UB_STATS_RPZ_ACTION_NUM]
| RPZ action stats.
long long | mem_quic
| number of bytes in QUIC buffers
long long | qquic
| number of queries over (DNS over) QUIC
long long | num_queries_discard_timeout
| number of queries removed due to discard-timeout
long long | num_queries_replyaddr_limit
| number of queries removed due to replyaddr limit
long long | num_queries_wait_limit
| number of queries removed due to wait-limit
long long | num_dns_error_reports
| number of dns error reports generated

## Detailed Description

per worker statistics.

## Field Documentation

## ◆ sum_query_list_size

long long ub_server_stats::sum_query_list_size

Sum of the querylistsize of the worker for every query that missed cache.

To calculate average.

Referenced by print_stats(), server_stats_add(), server_stats_log(), server_stats_prefetch(), and server_stats_querymiss().

The documentation for this struct was generated from the following files:

- libunbound/unbound.h
- unbound.h